%define name wv
%define version 0.6.5
%define real_version 0.6.5
%define release 2ml

Summary: MSWord 6/7/8/9 binary file format -> HTML converter
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Office
URL: http://www.wvWare.com/
Source: http://download.sourceforge.net/wvware/%{name}-%{real_version}.tar.gz
Patch0: wv.Makefile.patch
Patch1: wv-0.6.5-CVE-2006-4513.patch
Requires: libwmf
#BuildRequires: freetype freetype-devel libpng libpng-devel XFree86-devel xpm-devel zlib-devel 
BuildRequires: freetype freetype-devel libpng libpng-devel XFree86-devel zlib-devel 
BuildRequires: libwmf-devel zlib zlib-devel ImageMagick ImageMagick-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: mswordview 

%package devel
Summary: MSWord 6/7/8/9 binary file format -> HTML converter (development)
Group: Development/C
Requires: %{name} = %{version}

%description
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

%description devel
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

This is the development package.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" %configure --with-Magick=/usr/X11R6/include/X11/magick --with-libwmf=/usr/lib --with-freetype=/usr/include/freetype2
make
rm -rf `find . -type d -a -name 'CVS'`

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING CREDITS README KNOWN-BUGS
%attr(755,root,root)      %{_bindir}/wv[A-Z]*
%attr(755,root,root)      %{_bindir}/make_epses.sh
%attr(755,root,root) %dir %{_datadir}/wv
%attr(755,root,root) %dir %{_datadir}/wv/ttf
%attr(644,root,root)      %{_datadir}/wv/*.xml
%attr(755,root,root) %dir %{_datadir}/wv/patterns
%attr(644,root,root)      %{_datadir}/wv/patterns/*
%attr(755,root,root) %dir %{_datadir}/wv/wingdingfont
%attr(644,root,root)      %{_datadir}/wv/wingdingfont/*
%attr(644,root,root)      %{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc ABIWORD-SUGGESTIONS
%doc D_CREDITS D_README HACKING INSTALL TESTING
%doc TODO.TXT 
%doc examples feature-examples gateway notes
%attr(755,root,root)      %{_bindir}/wv-libconfig
%attr(755,root,root)      %{_bindir}/wv-incconfig
%attr(644,root,root)      %{_includedir}/*.h
%attr(644,root,root)      %{_libdir}/libwv.a

%changelog
* Wed Jul  4 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com>
- 0.6.5-2ml applied a fix for CVE-2006-4513

* Thu Jul 26 2001 Jun YOSHIDA <jun@miraclelinux.com>
- for Miracle Linux.

* Mon Jun 18 2001  Daouda Lo <daouda@mandrakesoft.com> 0.6.5-1mdk
- release 0.6.5 

* Sun Apr 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.4-2mdk
- line 360 in Makefile.in causes build fail PPC - patched (why only PPC?)

* Fri Feb 02 2001 Franis Pons <fpons@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4.

* Tue Dec 19 2000 Franis Pons <fpons@mandrakesoft.com> 0.6.2-3mdk
- fixes build requires on libwmf-devel
- added requires on libwmf as some libwmf binaries are used by make_epses.sh
- build with libwmf-0.1.21

* Thu Nov 16 2000 Franis Pons <fpons@mandrakesoft.com> 0.6.2-2mdk
- fixes for wvMime (missing make_epses.sh, thanks to A. Skwar).
- update files to include all man pages too.

* Tue Nov 07 2000 Franis Pons <fpons@mandrakesoft.com> 0.6.2-1mdk
- removed compilation patch.
- remove CVS directory before file list (for doc).
- 0.6.2.

* Fri Oct 20 2000 Franis Pons <fpons@mandrakesoft.com> 0.6.1-1mdk
- more macroszifications.
- 0.6.1.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.44-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Franis Pons <fpons@mandrakesoft.com> 0.5.44-2mdk
- moved to main to replace old mswordview.
- spec file cleaning and macroszifications.
- split package with devel.
- removed unused /usr/lib/mswordview.

* Wed Jun 28 2000 Sean P. Kane <spkane@spkane.org> 0.5.44-1mdk
- Added configure patch
- Changed name from mswordview to wv
- Added Obsoletes line
- Updated Requires line
- Upgraded to 0.5.44

* Tue Jun 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.14bw6-3mdk
- added support to wmf (by compiling with libwmf installed)

* Fri Mar 31 2000 Franis Pons <fpons@mandrakesoft.com> 0.5.14bw6-2mdk
- updated Group.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- updated to mswordview-0.5.14-bw6
- added install of config-mswordview
- Build Release

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to  mswordview-0.5.14-bw3

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix path problems.


* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix compilations problem.
- 0.5.14-bw2

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 5.8.
- Mandrake adaptations.

* Tue Dec 29 1998 Ryan Weaver <ryanw@infohwy.com>
  [mswordview-0.5.2-1]
- Updated to MSWordView-0.5.2
- Changes up to 0.5.2
  * implemented auto text color colour check for table cells, no more
    black on black, or black on blue. i must look closely at what other
    auto changes word makes.
  * some uber-simple greyscaling code when table look says no-color.
  * verified it works under AIX, made a few changes that showed up due
    to its stricter malloc, theres probably a few more malloc related
    issues hiding in there.
  * column breaks show up as well now.
  * the various types of section breaks are distinguisable from the
    others, and from page breaks.
  * a few changes to make sure formatting and tables get on better 
    together.
  * sequence field supported, i.e caption numbering, i just use the last
    fields that msword left in there.
  * changed hyperlinking so that it works with bookmarks that are in
    comments (annotations).
  * i now support multiple bookmarks that end on the same location.
  * multiple bookmarks that start on the same location should be supported,
    but no examples yet.
  * the comment author initials are extracted and used in the main document
    when referencing comments.
  * comments now end when they are supposed to, only the correct comments get
    included, should work for fastsave, not tested.
  * removed unused variables, sorted out a few other warnings, maybe itll
    squeak by the irix compiler now ?
  * names and initial info for comments is extracted as well, and stuck in a 
    table at the end of the document.
  * fixed the <a name= for comments, should work in fast saved.
  * custom graphics for annotations.
